Coinbax API

JWKS

View as Markdown

Get JSON Web Key Set

GET/.well-known/jwks.jsonPublic

Returns the public keys in JWKS format for JWT signature verification. Used by external services (e.g., Jack Henry jXchange) to verify signed JWTs.

Responses

200JWKS containing public keys
  • keysarray of JwkDtorequired

    Array of JSON Web Keys

    array of JwkDto
    • ktystringrequired

      Key type - always "RSA" for RSA keys

    • usestringrequired

      Public key use - "sig" for signature verification

    • algstringrequired

      Algorithm - RS256 (RSA PKCS#1 v1.5 with SHA-256)

    • kidstringrequired

      Key ID - unique identifier for this key

    • nstringrequired

      RSA modulus (Base64URL encoded)

    • estringrequired

      RSA exponent (Base64URL encoded)

{
  "keys": [
    {
      "kty": "RSA",
      "use": "sig",
      "alg": "RS256",
      "kid": "coinbax-jh-key-001",
      "n": "0vx7agoebGcQSuuPiLJXZptN9nndrQmbXEps2aiAFbWhM78LhWx4cbbfAAtVT86zwu1RK7aPFFxuhDR1L6tSoc_BJECPebWKRXjBZCiFV4n3oknjhMstn64tZ_2W-5JsGY4Hc5n9yBXArwl93lqt7_RN5w6Cf0h4QyQ5v-65YGjQR0_FDW2QvzqY368QQMicAtaSqzs8KJZgnYb9c7d0zgdAZHzu6qMQvRL5hajrn1n91CbOpbISD08qNLyrdkt-bFTWhAI4vMQFh6WeZu0fM4lFd2NcRwr3XPksINHaQ-G_xBniIqbw0Ls1jF44-csFCur-kEgU8awapJzKnqDKgw",
      "e": "AQAB"
    }
  ]
}
curl https://api-staging.coinbax.com/.well-known/jwks.json
const response = await fetch('https://api-staging.coinbax.com/.well-known/jwks.json', {
});
const result = await response.json();